Subject: Is rot a problem with daylilies ?

From: [email-masked] (Farooq Butt)
Date: 9 Mar 1995 23:19:09 -0600

I just received some nice daylilies. One of them had a teeny little
mushy area near the crown. I cut away a small amount of roots and 
the rest of the plant seems OK. Are bare-root daylilies 
susceptible to rot, should I do anything else or was even the little
I did strictly unecessary ?  BTW: a couple of the daylilies had 
a few roots break off. Should I plant the 1 inch thingies anyway 
hoping for plants in a year or so ? 

fmb

-- 
Standard High-Tech Disclaimer: NOTHING  in the above article has the slightest 
relationship to reality. If any reality correspondences are found, please 
notify me IMMEDIATELY. Any threats, abuse or stupidity of any kind is purely 
UNintentional. These are MY Opinions NOT my employer's.